void GetDescription(char d[])
{
   strcpy(d,"PhotoCall. Photo size: 170x164 / 224x230.");
}

int GetPriority()
{
  return 255;
}
int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}

int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   if (!IsResMore176())
   {
      ReplaceLineByStr("1 478 ", "1 478 2 17 173 37");
      ReplaceLineByStr("1 479 ", "1 479 4 37 170 196");
      ReplaceLineByStr("1 480 ", "1 480 2 37 173 197");
      ReplaceLineByStr("1 481 ", "1 481 5 17 170 36");
   }
   else
   {
      ReplaceLineByStr("1 478 ", "1 478 3 22 236 54");
      ReplaceLineByStr("1 479 ", "1 479 8 55 232 285");
      ReplaceLineByStr("1 480 ", "1 480 3 54 236 286");
      ReplaceLineByStr("1 481 ", "1 481 5 23 231 51");
   }
   
}